%global shortname mediawriter

%{?mingw_package_header}

Name:           mingw-mediawriter
Version:        4.1.0
Release:        1%{?dist}
Summary:        Fedora Media Writer

License:        GPLv2+
URL:            https://github.com/MartinBriza/MediaWriter
Source0:        https://github.com/MartinBriza/MediaWriter/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-qt5-qtbase
BuildRequires:  mingw32-qt5-qtdeclarative
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-xz-libs

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-qt5-qtbase
BuildRequires:  mingw64-qt5-qtdeclarative
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-xz-libs

BuildRequires:  gettext

%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.


# Win32
%package -n mingw32-%{shortname}
Summary:        Fedora Media Writer
BuildArch:      noarch

%description -n mingw32-%{shortname}
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

# Win64
%package -n mingw64-%{shortname}
Summary:        Fedora Media Writer
BuildArch:      noarch

%description -n mingw64-%{shortname}
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%{?mingw_debug_package}

%prep
%autosetup -p1 -n MediaWriter-%{version}

%build
mkdir build_win32
pushd build_win32
%mingw32_qmake_qt5 PREFIX=%{mingw32_prefix} MEDIAWRITER_VERSION=%{version}-%{release} ../%{shortname}.pro
popd

mkdir build_win64
pushd build_win64
%mingw64_qmake_qt5 PREFIX=%{mingw64_prefix} MEDIAWRITER_VERSION=%{version}-%{release} ../%{shortname}.pro
popd

%mingw_make %{?_smp_mflags}

%install
%mingw_make install INSTALL_ROOT=$RPM_BUILD_ROOT


# Win32
%files -n mingw32-%{shortname}
%{mingw32_bindir}/%{shortname}.exe
%{mingw32_libexecdir}/%{shortname}/

%files -n mingw64-%{shortname}
%{mingw64_bindir}/%{shortname}.exe
%{mingw64_libexecdir}/%{shortname}/

%changelog
* Thu May 18 2017 Martin Bříza <mbriza@redhat.com> 4.1.0-1
- Update to 4.1.0

* Wed Mar 22 2017 Martin Bříza <mbriza@redhat.com> 4.0.95-1
- Update to 4.0.95

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.8-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 10 2017 Martin Bříza <mbriza@redhat.com> 4.0.8-0
- Update to 4.0.8

* Tue Nov 22 2016 Martin Bříza <mbriza@redhat.com> 4.0.7-0
- Update to 4.0.7

* Fri Nov 11 2016 Martin Bříza <mbriza@redhat.com> 4.0.4-0
- Update to 4.0.4

* Mon Oct 31 2016 Martin Bříza <mbriza@redhat.com> 4.0.0-0
- Update to 4.0.0

* Tue Oct 11 2016 Martin Bříza <mbriza@redhat.com> 3.97.2-0
- Update to 3.97.2

* Fri Sep 23 2016 Martin Bříza <mbriza@redhat.com> 3.97.1-0
- Update to 3.97.1

* Thu Sep 22 2016 Martin Bříza <mbriza@redhat.com> 3.97.0-0
- Update to 3.97.0

* Fri Sep 16 2016 Martin Bříza <mbriza@redhat.com> 3.96.0-0
- Update to 3.96.0

* Thu Aug 25 2016 Martin Bříza <mbriza@redhat.com> 0-0.1git0049ab3
- Initial release
